package com.muyu.common.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: wangxinyuan
 * @Date: 2024/8/25 下午3:19
 */
@Data
public class PaymentParam {



    private Integer id;
    /**
     * 异步跳转路径
     */
    private String notifyUrl;

    /**
     * 跳转路径
     */
    private String returnUrl;

    /**
     * 订单号
     */
    private String outTradeNo;

    /**
     * 支付金额
     */
    private BigDecimal totalAmount;

    /**
     * 商品名称
     */
    private String subject;

    /**
     * 支付类型 手机：QUICK_WAP_WAY 电脑：FAST_INSTANT_TRADE_PAY
     */
    private String productCode;


    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
